#ifndef KRIMI_DINNER_ENGINE_METAL_GFX_INTERFACE_H
#define KRIMI_DINNER_ENGINE_METAL_GFX_INTERFACE_H

#include "../cpp/Gfx.h"
#include "../cpp/StringRepository.h"

void metalGfxPushRect(void* metalGfxObj, KDERect rect, KDEStringHandle texture);

void metalGfxPushFontRect(void* metalGfxObj, KDERect rect, float char_height, KDEStringHandle font, KDEStringHandle key);

typedef enum MetalGfxTextureFormat
{
    MetalGfxTextureFormat_RGBA,
    MetalGfxTextureFormat_Red,
} MetalGfxTextureFormat;

void* metalGfxCreateTexture(void* metalGfxObj, const void* pixels, unsigned int width, unsigned int height, MetalGfxTextureFormat format);

void metalGfxDestroyTexture(void* textureObj);

#endif
